<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>25 Lecture 16 | Learning bayesian data analysis with Statistical Rethinking</title>
<meta name="author" content="Alec L. Robitaille">
<meta name="description" content="25.1 Multiple clusters Example: chimpanzees * block “cross classified” Add actor and block intercepts - alpha for each actor, gamma for each block, beta for each treatment Think of these as an...">
<meta name="generator" content="bookdown 0.24.1 with bs4_book()">
<meta property="og:title" content="25 Lecture 16 | Learning bayesian data analysis with Statistical Rethinking">
<meta property="og:type" content="book">
<meta property="og:url" content="https://www.statistical-rethinking.robitalec.ca/lecture-16.html">
<meta property="og:description" content="25.1 Multiple clusters Example: chimpanzees * block “cross classified” Add actor and block intercepts - alpha for each actor, gamma for each block, beta for each treatment Think of these as an...">
<meta name="twitter:card" content="summary">
<meta name="twitter:title" content="25 Lecture 16 | Learning bayesian data analysis with Statistical Rethinking">
<meta name="twitter:description" content="25.1 Multiple clusters Example: chimpanzees * block “cross classified” Add actor and block intercepts - alpha for each actor, gamma for each block, beta for each treatment Think of these as an...">
<!-- JS --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/fuse.js/6.4.6/fuse.js" integrity="sha512-zv6Ywkjyktsohkbp9bb45V6tEMoWhzFzXis+LrMehmJZZSys19Yxf1dopHx7WzIKxr5tK2dVcYmaCk2uqdjF4A==" crossorigin="anonymous"></script><script src="https://kit.fontawesome.com/6ecbd6c532.js" crossorigin="anonymous"></script><script src="libs/header-attrs-2.11.3/header-attrs.js"></script><script src="libs/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<link href="libs/bootstrap-4.6.0/bootstrap.min.css" rel="stylesheet">
<script src="libs/bootstrap-4.6.0/bootstrap.bundle.min.js"></script><script src="libs/bs3compat-0.3.1/transition.js"></script><script src="libs/bs3compat-0.3.1/tabs.js"></script><script src="libs/bs3compat-0.3.1/bs3compat.js"></script><link href="libs/bs4_book-1.0.0/bs4_book.css" rel="stylesheet">
<script src="libs/bs4_book-1.0.0/bs4_book.js"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/autocomplete.js/0.38.0/autocomplete.jquery.min.js" integrity="sha512-GU9ayf+66Xx2TmpxqJpliWbT5PiGYxpaG8rfnBEk1LL8l1KGkRShhngwdXK1UgqhAzWpZHSiYPc09/NwDQIGyg==" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mark.js/8.11.1/mark.min.js" integrity="sha512-5CYOlHXGh6QpOFA/TeTylKLWfB3ftPsde7AnmhuitiTX4K5SqCLBeKro6sPS8ilsz1Q4NRx3v8Ko2IBiszzdww==" crossorigin="anonymous"></script><!-- CSS --><link rel="stylesheet" href="style.css">
</head>
<body data-spy="scroll" data-target="#toc">

<div class="container-fluid">
<div class="row">
  <header class="col-sm-12 col-lg-3 sidebar sidebar-book"><a class="sr-only sr-only-focusable" href="#content">Skip to main content</a>

    <div class="d-flex align-items-start justify-content-between">
      <h1>
        <a href="index.html" title="">Learning bayesian data analysis with Statistical Rethinking</a>
      </h1>
      <button class="btn btn-outline-primary d-lg-none ml-2 mt-1" type="button" data-toggle="collapse" data-target="#main-nav" aria-expanded="true" aria-controls="main-nav"><i class="fas fa-bars"></i><span class="sr-only">Show table of contents</span></button>
    </div>

    <div id="main-nav" class="collapse-lg">
      <form role="search">
        <input id="search" class="form-control" type="search" placeholder="Search" aria-label="Search">
</form>

      <nav aria-label="Table of contents"><h2>Table of contents</h2>
        <ul class="book-toc list-unstyled">
<li><a class="" href="index.html">Overview</a></li>
<li class="book-part">Homework</li>
<li><a class="" href="week-1.html"><span class="header-section-number">1</span> Week 1</a></li>
<li><a class="" href="week-2.html"><span class="header-section-number">2</span> Week 2</a></li>
<li><a class="" href="week-3.html"><span class="header-section-number">3</span> Week 3</a></li>
<li><a class="" href="week-4.html"><span class="header-section-number">4</span> Week 4</a></li>
<li><a class="" href="week-5.html"><span class="header-section-number">5</span> Week 5</a></li>
<li><a class="" href="week-6.html"><span class="header-section-number">6</span> Week 6</a></li>
<li><a class="" href="week-7.html"><span class="header-section-number">7</span> Week 7</a></li>
<li><a class="" href="week-8.html"><span class="header-section-number">8</span> Week 8</a></li>
<li><a class="" href="week-9.html"><span class="header-section-number">9</span> Week 9</a></li>
<li class="book-part">Lectures</li>
<li><a class="" href="lecture-01.html"><span class="header-section-number">10</span> Lecture 01</a></li>
<li><a class="" href="lecture-02.html"><span class="header-section-number">11</span> Lecture 02</a></li>
<li><a class="" href="lecture-03.html"><span class="header-section-number">12</span> Lecture 03</a></li>
<li><a class="" href="lecture-04.html"><span class="header-section-number">13</span> Lecture 04</a></li>
<li><a class="" href="lecture-05.html"><span class="header-section-number">14</span> Lecture 05</a></li>
<li><a class="" href="lecture-06.html"><span class="header-section-number">15</span> Lecture 06</a></li>
<li><a class="" href="lecture-07.html"><span class="header-section-number">16</span> Lecture 07</a></li>
<li><a class="" href="lecture-08.html"><span class="header-section-number">17</span> Lecture 08</a></li>
<li><a class="" href="lecture-09.html"><span class="header-section-number">18</span> Lecture 09</a></li>
<li><a class="" href="lecture-10.html"><span class="header-section-number">19</span> Lecture 10</a></li>
<li><a class="" href="lecture-11.html"><span class="header-section-number">20</span> Lecture 11</a></li>
<li><a class="" href="lecture-12.html"><span class="header-section-number">21</span> Lecture 12</a></li>
<li><a class="" href="lecture-13.html"><span class="header-section-number">22</span> Lecture 13</a></li>
<li><a class="" href="lecture-14.html"><span class="header-section-number">23</span> Lecture 14</a></li>
<li><a class="" href="lecture-15.html"><span class="header-section-number">24</span> Lecture 15</a></li>
<li><a class="active" href="lecture-16.html"><span class="header-section-number">25</span> Lecture 16</a></li>
<li><a class="" href="lecture-17.html"><span class="header-section-number">26</span> Lecture 17</a></li>
<li><a class="" href="lecture-18.html"><span class="header-section-number">27</span> Lecture 18</a></li>
<li><a class="" href="lecture-19.html"><span class="header-section-number">28</span> Lecture 19</a></li>
<li><a class="" href="lecture-20.html"><span class="header-section-number">29</span> Lecture 20</a></li>
<li class="book-part">References</li>
<li><a class="" href="references.html"><span class="header-section-number">30</span> References</a></li>
</ul>

        <div class="book-extra">
          <p><a id="book-repo" href="https://gitlab.com/robitalec/statistical-rethinking">View book source <i class="fab fa-gitlab"></i></a></p>
        </div>
      </nav>
</div>
  </header><main class="col-sm-12 col-md-9 col-lg-7" id="content"><div id="lecture-16" class="section level1" number="25">
<h1>
<span class="header-section-number">25</span> Lecture 16<a class="anchor" aria-label="anchor" href="#lecture-16"><i class="fas fa-link"></i></a>
</h1>
<div id="multiple-clusters" class="section level2" number="25.1">
<h2>
<span class="header-section-number">25.1</span> Multiple clusters<a class="anchor" aria-label="anchor" href="#multiple-clusters"><i class="fas fa-link"></i></a>
</h2>
<p>Example: chimpanzees * block</p>
<p>“cross classified”</p>
<p>Add actor and block intercepts - alpha for each actor, gamma for each block, beta for each treatment</p>
<p>Think of these as an offset</p>
<p><span class="math inline">\(\alpha_{j} \sim \text{Normal}(\bar{\alpha}, \sigma_{alpha})\)</span></p>
<p><span class="math inline">\(\gamma{j} \sim \text{Normal}(0, \sigma_{gamma})\)</span></p>
<p><span class="math inline">\(\bar{\alpha} \sim \text{Normal}(0, 1.5)\)</span></p>
<p>In this example, sigma for actors shows variation in actors, but sigma for blocks is quite small. Why include blocks then? Because while out of sample predictions are quite similar, the block parameters are aggressively regularized.</p>
<p>Random effects have many definitions. These are statistical <em>things</em> used to regularize inference. Doesn’t necessarily have to be only things “not fixed by the experimenter”.</p>
</div>
<div id="divergent-transitions" class="section level2" number="25.2">
<h2>
<span class="header-section-number">25.2</span> Divergent transitions<a class="anchor" aria-label="anchor" href="#divergent-transitions"><i class="fas fa-link"></i></a>
</h2>
<p>Tells you something is numerically inefficient about the model. Solution = switch between different ways of writing the same model.</p>
<p>Each transition is a sample path. Since in real physics energy is conserved, if energy isn’t conserved in the physics simulation within the HMM - something went wrong.</p>
<p>HMC thankfully reports warnings, whereas Gibbs, Metropolis, etc do not (since they are not a physics simulation)</p>
<div id="solutions-for-divergent-transitions" class="section level3" number="25.2.1">
<h3>
<span class="header-section-number">25.2.1</span> Solutions for divergent transitions<a class="anchor" aria-label="anchor" href="#solutions-for-divergent-transitions"><i class="fas fa-link"></i></a>
</h3>
<ol style="list-style-type: decimal">
<li>Increase the adapt_delta argument. This results in better step size adaption and, as a consequence, slower exploration.</li>
<li>Reparameterize the model</li>
</ol>
<p>Reparameterizing the model takes a “centered” model and transforms it into a “non-centered” model. Even though they are mathematically the same, it helps with sampling.
Eg. funnel → Gaussian hill</p>
<p>Result is a z-score centered, “non-centered”, much easier to sample and yields more effective samples. Chains will also run faster.</p>
</div>
</div>
<div id="posterior-predictions-with-multilevel-models" class="section level2" number="25.3">
<h2>
<span class="header-section-number">25.3</span> Posterior predictions with multilevel models<a class="anchor" aria-label="anchor" href="#posterior-predictions-with-multilevel-models"><i class="fas fa-link"></i></a>
</h2>
<div id="same-clusters" class="section level3" number="25.3.1">
<h3>
<span class="header-section-number">25.3.1</span> Same clusters<a class="anchor" aria-label="anchor" href="#same-clusters"><i class="fas fa-link"></i></a>
</h3>
<p>Proceed as usual</p>
<p>Push samples back through the model (eg. <code>link</code> and <code>sim</code>)</p>
</div>
<div id="new-clusters" class="section level3" number="25.3.2">
<h3>
<span class="header-section-number">25.3.2</span> New clusters<a class="anchor" aria-label="anchor" href="#new-clusters"><i class="fas fa-link"></i></a>
</h3>
<p>“New chimpanzees”</p>
<p>For new population, individual (alpha in above example) parameters are irrelevant</p>
<p>Three approaches:</p>
<ol style="list-style-type: decimal">
<li>“Average” actor - the average chimp statistically at the population mean (alpha bar).
<ol style="list-style-type: decimal">
<li>Alpha = alpha bar.</li>
<li>Replace varying intercept samples with 0s so all actors have average intercept row.</li>
<li>Use link or directly simulate.</li>
</ol>
</li>
<li>Marginal actor - sample a number of statistical actors and average over the distribution.
<ol style="list-style-type: decimal">
<li>Extract samples from sigma actor</li>
<li>Simulate new varying intercepts</li>
<li>Use simulated intercepts to simulate predictions</li>
</ol>
</li>
<li>Show samples of actors from posterior
<ol style="list-style-type: decimal">
<li>Sample and plot individuals simulated from posterior</li>
</ol>
</li>
</ol>
<p>Note the effects at the limits are reduced because of ceiling and floor effects of generalized linear models. Eg near 0-1 bounds, the effects will be reduced.</p>
</div>
</div>
</div>
  <div class="chapter-nav">
<div class="prev"><a href="lecture-15.html"><span class="header-section-number">24</span> Lecture 15</a></div>
<div class="next"><a href="lecture-17.html"><span class="header-section-number">26</span> Lecture 17</a></div>
</div></main><div class="col-md-3 col-lg-2 d-none d-md-block sidebar sidebar-chapter">
    <nav id="toc" data-toggle="toc" aria-label="On this page"><h2>On this page</h2>
      <ul class="nav navbar-nav">
<li><a class="nav-link" href="#lecture-16"><span class="header-section-number">25</span> Lecture 16</a></li>
<li><a class="nav-link" href="#multiple-clusters"><span class="header-section-number">25.1</span> Multiple clusters</a></li>
<li>
<a class="nav-link" href="#divergent-transitions"><span class="header-section-number">25.2</span> Divergent transitions</a><ul class="nav navbar-nav"><li><a class="nav-link" href="#solutions-for-divergent-transitions"><span class="header-section-number">25.2.1</span> Solutions for divergent transitions</a></li></ul>
</li>
<li>
<a class="nav-link" href="#posterior-predictions-with-multilevel-models"><span class="header-section-number">25.3</span> Posterior predictions with multilevel models</a><ul class="nav navbar-nav">
<li><a class="nav-link" href="#same-clusters"><span class="header-section-number">25.3.1</span> Same clusters</a></li>
<li><a class="nav-link" href="#new-clusters"><span class="header-section-number">25.3.2</span> New clusters</a></li>
</ul>
</li>
</ul>

      <div class="book-extra">
        <ul class="list-unstyled">
<li><a id="book-source" href="https://gitlab.com/robitalec/statistical-rethinking/blob/master/notes/notes.Rmd">View source <i class="fab fa-gitlab"></i></a></li>
          <li><a id="book-edit" href="https://gitlab.com/robitalec/statistical-rethinking/edit/master/notes/notes.Rmd">Edit this page <i class="fab fa-gitlab"></i></a></li>
        </ul>
</div>
    </nav>
</div>

</div>
</div> <!-- .container -->

<footer class="bg-primary text-light mt-5"><div class="container"><div class="row">

  <div class="col-12 col-md-6 mt-3">
    <p>"<strong>Learning bayesian data analysis with Statistical Rethinking</strong>" was written by Alec L. Robitaille. It was last built on 2021-11-17 [started: 2021-08-18].</p>
  </div>

  <div class="col-12 col-md-6 mt-3">
    <p>This book was built by the <a class="text-light" href="https://bookdown.org">bookdown</a> R package.</p>
  </div>

</div></div>
</footer><!-- dynamically load mathjax for compatibility with self-contained --><script>
  (function () {
    var script = document.createElement("script");
    script.type = "text/javascript";
    var src = "true";
    if (src === "" || src === "true") src = "https://mathjax.rstudio.com/latest/MathJax.js?config=TeX-MML-AM_CHTML";
    if (location.protocol !== "file:")
      if (/^https?:/.test(src))
        src = src.replace(/^https?:/, '');
    script.src = src;
    document.getElementsByTagName("head")[0].appendChild(script);
  })();
</script><script type="text/x-mathjax-config">const popovers = document.querySelectorAll('a.footnote-ref[data-toggle="popover"]');
for (let popover of popovers) {
  const div = document.createElement('div');
  div.setAttribute('style', 'position: absolute; top: 0, left:0; width:0, height:0, overflow: hidden; visibility: hidden;');
  div.innerHTML = popover.getAttribute('data-content');

  var has_math = div.querySelector("span.math");
  if (has_math) {
    document.body.appendChild(div);
    MathJax.Hub.Queue(["Typeset", MathJax.Hub, div]);
    MathJax.Hub.Queue(function() {
      popover.setAttribute('data-content', div.innerHTML);
      document.body.removeChild(div);
    })
  }
}
</script>
</body>
</html>
